export function applyKnockback(center, target, vector2 = { x: 0, y: 0 }) {
    const { x, y } = vector2;
    const dir = {
        x: target.location.x - center.location.x,
        z: target.location.z - center.location.z
    };
    try {
        target.applyKnockback(dir.x, dir.z, x, y);
    }
    catch { }
}
